%global _empty_manifest_terminate_build 0

Name:           python-chardet
Version:        5.1.0
Release:        1
Summary:        Universal encoding detector for Python 2 and 3
License:        LGPL-2.1-only
URL:            https://github.com/chardet/chardet
Source0:        https://files.pythonhosted.org/packages/source/c/chardet/chardet-%{version}.tar.gz
BuildArch:      noarch

%description
Universal encoding detector for Python 2 and 3

%package -n python3-chardet
Summary:        Universal encoding detector for Python 2 and 3
Provides:       python-chardet = %{version}-%{release}
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-pip python3-wheel python3-flit
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pytest

%description -n python3-chardet
Universal encoding detector for Python 2 and 3

%package help
Summary:        Universal encoding detector for Python 2 and 3
Provides:       python3-chardet-doc
%description help
Universal encoding detector for Python 2 and 3

%prep
%autosetup -n chardet-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi

%check
%{__python3} -m pytest -v

%files -n python3-chardet
%{_bindir}/chardetect
%{python3_sitelib}/*

%files help
%{_docdir}/*

%changelog
* Mon May 15 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 5.1.0-1
- Update package to version 5.1.0

* Wed Feb 08 2023 zhuofeng <zhuofeng2@huawei.com> - 5.0.0-2
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:make the test check

* Sat Oct 29 2022 zhuofeng <zhuofeng2@huawei.com> - 5.0.0-1
- update to 5.0.0

* Wed Feb 16 2022 liudabo <liudabo1@huawei.com> - 4.0.0-4
- enable check

* Wed Dec 01 2021 shixuantong <shixuantong@huawei.com> - 4.0.0-3
- disable %check

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 4.0.0-2
- DESC: delete -S git from %autosetup

* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 4.0.0-1
- Package Spec generate
